Skip to main content
GET
/
v2
/
quotes
List quotes
curl --request GET \
  --url https://thirdparty.qonto.com/v2/quotes \
  --header 'Authorization: Bearer <token>'
{ "quotes": [ { "id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48", "organization_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48", "number": "Q-2024-001", "status": "pending_approval", "currency": "EUR", "total_amount": { "value": "240.00", "currency": "EUR" }, "total_amount_cents": 24000, "vat_amount": { "value": "40.00", "currency": "EUR" }, "vat_amount_cents": 4000, "issue_date": "2024-01-15", "expiry_date": "2024-02-15", "created_at": "2024-01-15T10:30:00Z", "items": [ { "title": "Consulting services", "description": "Monthly consulting services", "quantity": "2.5", "unit": "hour", "vat_rate": "20", "vat_exemption_reason": "N1", "unit_price": { "value": "100.00", "currency": "EUR" }, "unit_price_cents": 10000, "total_amount": { "value": "200.00", "currency": "EUR" }, "total_amount_cents": 20000, "total_vat": { "value": "40.00", "currency": "EUR" }, "total_vat_cents": 4000, "subtotal": { "value": "160.00", "currency": "EUR" }, "subtotal_cents": 16000, "discount": { "type": "percentage", "value": "<string>", "amount": { "value": "<string>", "currency": "<string>" }, "amount_cents": 123 } } ], "client": { "id": "33v418bb-bd0d-4df4-865c-c07afab8bb48", "name": "McDonald's", "first_name": "Jane", "last_name": "Doe", "type": "individual", "email": "client@qonto.com", "vat_number": "FR32123456789", "tax_identification_number": "123456789", "address": "1 place de l’Opéra", "city": "Paris", "zip_code": "75009", "province_code": "<string>", "country_code": "fr", "recipient_code": "<string>", "locale": "fr", "billing_address": { "street_address": "123 Main Street", "city": "Paris", "zip_code": "75009", "province_code": "<string>", "country_code": "FR" }, "delivery_address": { "street_address": "123 Main Street", "city": "Paris", "zip_code": "75009", "province_code": "<string>", "country_code": "FR" } }, "organization": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "legal_name": "<string>", "legal_number": "<string>", "legal_country": "<string>", "address_line_1": "<string>", "address_line_2": "<string>", "address_zipcode": "<string>", "address_city": "<string>", "address_country": "<string>", "company_leadership": "Jan Mueller", "district_court": "Munich", "commercial_register_number": "HRB12345B", "vat_number": "FR123456789", "tax_number": "123/123/1234", "legal_capital_share": { "value": "10000.00", "currency": "EUR" }, "transaction_type": "goods", "vat_payment_condition": "on_receipts" }, "attachment_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48", "quote_url": "https://portal.qonto.com/quotes/00000000-0000-0000-0000-000000000000", "contact_email": "contact@qonto.com", "terms_and_conditions": "This is an example.", "header": "This is an example.", "footer": "This is an example.", "discount": { "type": "percentage", "value": "10", "amount": { "value": "20.00", "currency": "EUR" }, "amount_cents": 2000 }, "approved_at": "2024-01-16T14:22:00Z", "canceled_at": "2024-01-17T09:15:00Z", "welfare_fund": { "type": "TC22", "rate": "0.1", "amount": "10.00" }, "withholding_tax": { "reason": "RT01", "rate": "0.1", "amount": "10.00", "payment_reason": "M1" }, "stamp_duty_amount": "0.10", "invoice_ids": [ "4d5418bb-bd0d-4df4-865c-c07afab8bb48" ] } ], "meta": { "total": 123, "total_pages": 123, "current_page": 123, "next_page": 123, "prev_page": 123 } }

Documentation Index

Fetch the complete documentation index at: https://docs.qonto.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Query Parameters

filter[status]
enum<string>[]

Quotes can be filtered by their status: Status can be one of: pending_approval, approved, canceled

Available options:
pending_approval,
approved,
canceled
filter[created_at_from]
string<date-time>

Quotes can be filtered by their created_at property. This filter can be used in combination with the created_at_to query parameter to get quotes created within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).

Example:

"2022-02-01T12:01:02Z"

filter[created_at_to]
string<date-time>

Quotes can be filtered by their created_at property. This filter can be used in combination with the created_at_from query parameter to get quotes created within a specific timeframe. Please use a valid date time format (ISO 8601 for instance).

Example:

"2022-23-04T16:23:00Z"

page
integer

Returned page (cf. Pagination).

Example:

1

per_page
integer
default:100

Number of quotes per page (cf. Pagination).

Required range: x <= 500
sort_by
enum<string>
default:created_at:desc

Quotes can be sorted by their created_at property in 2 possible orders: asc (Ascending) / desc (Descending).

Available options:
created_at:desc,
created_at:asc

Response

Returns a list of quotes.

quotes
object[]
required
meta
object
required